// Comatibility for Embed Any Document plugin
// Requires WordPress 5.5 or higher

jQuery(document).ready(function($) {
  var eadJs;
	
  function runWithAlteredRootJQuery(js, $root) {
	  var arjqId = 0;
	  do {
		arjqId = Math.floor( Math.random() * 100000 );
	  } while (window['arjq' + arjqId]);
	  
	  window['arjq' + arjqId] = function(arg) {
		  if (typeof arg === 'string' && arg[0] == '<') {
			  return window.jQuery(arg);
		  } else if (typeof arg === 'function') {
			  arg( window['arjq' + arjqId]);
		  } else {
			  return $root.find(arg);
		  }
	  };
	  
	  js = '(function(){var jQuery = window.arjq' + arjqId + ';' + js + '})()';
	  
	  jQuery('<script>' + js + '</script>').appendTo('head:first');
  }
	
    window.divi_rocket_lazy_compat &&
		divi_rocket_lazy_compat(function($s) {
			if (eadJs) {
				runWithAlteredRootJQuery(eadJs, $s);
			} else {
				var jsSrc = jQuery('#awsm-ead-public-js').attr('src');
				if (!jsSrc) {
					return;
				}
				jQuery.get( jsSrc ).success(function(response) {
					eadJs = response;
					runWithAlteredRootJQuery(eadJs, $s);
				});
			}
		});
});
